=== legacy/src/CMakeLists.txt ===
set(LIBRARY_OUTPUT_PATH ${PROJECT_BINARY_DIR}/lib)
aux_source_directory(. RIME_LEGACY_SRC)
add_library(rime-legacy ${RIME_LEGACY_SRC})
target_link_libraries(rime-legacy ${Rime_LIBRARIES} ${KyotoCabinet_LIBRARY} ${ZLIB_LIBRARY})
set_target_properties(rime-legacy PROPERTIES VERSION ${RIME_LEGACY_VERSION} SOVERSION ${RIME_LEGACY_SOVERSION})
if(XCODE_VERSION)
  set_target_properties(rime-legacy PROPERTIES INSTALL_NAME_DIR "@rpath")
endif(XCODE_VERSION)
install(TARGETS rime-legacy DESTINATION ${LIB_INSTALL_DIR})
