=== debian/changelog ===
librime (1.2.9+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Rebuild the package and closes: #883373.
  * Remove zlib1.dll from source code and generate +dfsg2 tarball.
  * Bump Standards-Version to 4.1.3.
  * Use automatic debug packages, drop librime1-dbg.
  * Bump debhelper compat to v10.
  * d/rules: replace dh_install with the newer dh_missing.
  * d/rules: drop --parallel argument, no longer needed.
  * d/copyright: use secure url for copyright format, minor updates.
  * d/patches: add patch to turn on multiarch support for librime.
    Thus librime-dev is converted to arch:any.
  * d/control: mark librime1 as M-A: same.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 28 Dec 2017 09:20:58 +0800
