=== debian/changelog ===
librime (1.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Add myself into uploaders list.
  * Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Migrate to Salsa platform for Vcs fields.
  * d/control: Restrict librime-data (brise) version to >= 0.38 to
    ensure users are using newer brise that is compatible with librime
    1.3+.
  * d/patches: Refresh patches and backport several upstream patches.
  * d/shlibs: Add a shlibs file to ensure link against latest librime
    library.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 22 Jun 2018 20:42:21 +0800

librime (1.2.10+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove more unused source code and regenerate +dfsg2 tarball.
  * d/patches: Backport some fixes, refresh patches.
  * d/copyright: Refresh copyright information.
  * d/control: Use debian-input-method maillist in Maintainer field.
  * d/control: Add libboost-locale-dev as build dependency.
  * d/rules: Install CHANGELOG.md as upstream changelog.
  * d/rules: Disable tests since GTest module is problematic.
  * d/control: Apply "wrap-and-sort -abst".
  * d/compat: Bump to debhelper compat v11.
  * d/watch: Use dversionmangle instead of uversionmangle.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 25 Feb 2018 16:16:40 +0800
