=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: librime
 Section: libs
 Priority: optional
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
  YunQiang Su <wzssyqa@gmail.com>,
  Osamu Aoki <osamu@debian.org>,
  Guo Yixuan (郭溢譞) <culu.gyx@gmail.com>,
+ Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  cmake (>= 3.0.2),
- debhelper (>= 10),
+ debhelper (>= 11~),
  libboost-dev,
  libboost-filesystem-dev,
+ libboost-locale-dev,
  libboost-regex-dev,
  libboost-signals-dev,
  libboost-system-dev,
@@ -24,10 +26,10 @@
  libyaml-cpp-dev,
  x11proto-core-dev,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/rime/librime
-Vcs-Git: https://anonscm.debian.org/git/pkg-ime/librime.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ime/librime.git
+Vcs-Git: https://salsa.debian.org/debian/librime.git
+Vcs-Browser: https://salsa.debian.org/debian/librime
 
 Package: librime-bin
 Architecture: any
@@ -36,7 +38,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- librime-data,
+ librime-data (>= 0.38),
 Description: Rime Input Method Engine - utilities
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -83,7 +85,7 @@
 Multi-Arch: same
 Recommends:
  librime-bin,
- librime-data,
+ librime-data (>= 0.38),
 Description: Rime Input Method Engine - core library
  RIME is the acronym of Rime Input Method Engine.
  .
