=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d?$//" \
    https://github.com/lotem/librime/tags .*/rime-(\d[\d\.]+)\.tar\.gz
